/* =================== GOOGLE FONTS =================== */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

/* =================== VARIABLES CSS =================== */
* {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}

html {
    /* 1rem = 10px */
    font-size: 62.5%;
    scroll-behavior: smooth;
}

:root {
    --primary-color: #EEEEEE;
    --secondary--color: #E0E4E2;
    --details: #8338ec;
    --details-hover: #5211ad;
    --font-color: #020300;

}

.dark-theme {
    --primary-color: #231F20;
    --secondary--color: #1b1819;
    --details: #26C485;
    --details-hover: #188157;
    --font-color: #EEEEEE;
}

body {
    transition: background-color 0.5s;
    background-color: var(--primary-color);
}

/* SECCION INICIO */

#inicio .contenido header {
    transition: background-color 0.5s;
    background-color: var(--secondary--color);
    background-position: center center;
    position: fixed;
    width: 100%;
    z-index: 100;
    top: 0;
}

#inicio .contenido header .contenido-header {
    max-width: 100%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
}

#icono-nav {
    font-size: 2.5rem;
    color: var(--details);
    margin-right: 2rem;
}

#icono-nav:hover {
    color: var(--details-hover);
}

#dark-mode__button {
    background: none;
    color: inherit;
    border: none;
    padding-left: 1.5rem;
    color: var(--details);
    font-size: 4rem;
}

#links {
    font-size: 2rem;
    list-style-type: none;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.links__li {
    padding: 1rem;
}

.links__li a {
    text-decoration: none;
    color: var(--font-color)
}

.links__li a:hover {
    transition: 0.3s;
    color: var(--details);
}

.redes {
    padding-right: 1.5rem;
}

.redes a {
    font-size: 3.5rem;
    padding: 0.5rem;
}

.redes i {
    color: var(--details);
}

.redes i:hover {
    color: var(--details-hover);
}

#inicio .contenido .presentacion {
    max-width: 110rem;
    height: 100vh;
    margin: auto;
    color: var(--font-color);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.presentacion .bienvenida {
    font-size: 2rem;
    margin-bottom: 2rem;
    text-transform: uppercase;
    letter-spacing: 1rem;
}

.presentacion h2 {
    font-size: 5rem;
    text-align: center;
}

.presentacion h2 span {
    font-size: 5rem;
    color: var(--details);
}

.presentacion a {
    font-size: 2rem;
    text-decoration: none;
    color: var(--font-color);
    font-weight: bold;
    text-transform: uppercase;
    margin-top: 3rem;
    padding: 1rem;

}

.presentacion a:hover {
    color: var(--details);
}

/* SECCION SOBRE MI */

#sobremi {
    max-width: 110rem;
    height: 85vh;
    margin: auto;
    color: var(--font-color);
    display: flex;
    align-items: center;
}

#sobremi .contenedor-foto {
    max-width: 40rem;
    margin-right: 8rem;
    margin-bottom: 5rem;
    margin-top: 0;
}

#sobremi .contenedor-foto img {
    padding: 1rem;
    width: 100%;
    border-radius: 5%;
    transition: background-color 0.5s;
    background-color: var(--secondary--color);
}

.sobremi {
    display: flex;
    flex-direction: column;
}

#sobremi .sobremi .titulo-sobremi {
    font-size: 2rem;
    margin-bottom: 2rem;
    text-transform: uppercase;
    letter-spacing: 1rem;
}

#sobremi .sobremi h2 {
    font-size: 5rem;
    text-align: left;
    padding-bottom: 2rem;
}

#sobremi .sobremi p {
    font-size: 1.6rem;
    padding-bottom: 1rem;
    text-align: left;
}

#sobremi .sobremi span {
    color: var(--details);
}

#sobremi .sobremi .curriculum {
    padding: 2rem;
    text-align: center;
}

#sobremi .sobremi a {
    font-size: 2rem;
    text-decoration: none;
    text-align: center;
    text-transform: uppercase;
    font-weight: bold;
    padding: 2rem;
    color: var(--font-color);
}

#sobremi .sobremi a:hover {
    transition: 0.5s;
    color: var(--details);
}

/* SECCION HABILIDADES */

#habilidades {
    max-width: 110rem;
    margin: auto;
    color: var(--font-color);
    display: flex;
    flex-direction: column;
}

#habilidades .titulo-seccion {
    font-size: 2rem;
    margin-top: 15rem;
    text-transform: uppercase;
    text-align: center;
    letter-spacing: 1rem;
}

#habilidades span {
    font-size: 5rem;
    color: var(--details);
}

#habilidades .contenido-habilidades {
    display: flex;
    justify-content: space-around;
}

#habilidades .contenido-habilidades2 {
    display: flex;
    justify-content: space-around;
}

#habilidades .habilidad {
    margin: 2rem;
    text-align: center;
    font-size: 2rem;
}

/* SECCION PROYECTOS */

#proyectos {
    max-width: 110rem;
    margin: auto;
    color: var(--font-color);
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#proyectos .titulo-seccion {
    font-size: 2rem;
    margin-top: 15rem;
    padding: 2.5rem;
    text-transform: uppercase;
    text-align: center;
    letter-spacing: 1rem;
}

#proyectos .contenido-proyectos {
    display: flex;
    align-items: center;
    justify-content: space-around;
}


#proyectos .contenido-proyectos .proyecto {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 2rem;
}

#proyectos .contenido-proyectos .proyecto img {
    width: 50rem;
    height: auto;
}


#proyectos .contenido-proyectos .proyecto h3 {
    color: var(--font-color);
    margin-top: 1rem;
    font-size: 2rem;
}

#proyectos .contenido-proyectos .proyecto__p {
    color: var(--font-color);
    font-size: 1.5rem;
    text-align: justify;
}

#proyectos .contenido-proyectos .proyecto .actions {
    display: flex;
    flex-direction: row;
    margin-top: 2rem;
    width: 100%;
    justify-content: space-around;
}

#proyectos .contenido-proyectos .proyecto .actions a {
    font-size: 1.5rem;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    padding: 2rem;
    color: var(--font-color);
}

#proyectos .contenido-proyectos .proyecto .actions a:hover {
    color: var(--details);
}

/* SECCION CONTACTAME */

#contacto {
    max-width: 110rem;
    margin: auto;
    color: var(--font-color);
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#contacto .titulo-seccion {
    font-size: 2rem;
    margin-top: 15rem;
    padding: 2.5rem;
    text-transform: uppercase;
    text-align: center;
    letter-spacing: 1rem;
}

#contacto .contenido-contacto {
    display: flex;
    justify-content: space-evenly;
}


#contacto .datos {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    width: 50%;
    padding: 1rem;
}

#contacto .datos .datos__titulos {
    font-size: 2rem;
    padding: 2.5rem;
    color: var(--font-color);
    text-align: center;
    text-transform: uppercase;
}

#contacto .datos span {
    color: var(--details);
    font-size: 3rem;
    margin-right: 0.5rem;
    text-transform: uppercase;
}

#contacto .datos p {
    font-size: 1.5rem;
    color: var(--font-color);
}

#contacto .contenido-redes {
    font-size: 3.5rem;
    padding: 0.5rem;
    text-align: center;
    display: none;
}

#contacto .contenido-redes i {
    color: var(--details);
}

#contacto .contenido-redes i:hover {
    color: var(--details-hover);
}

footer {
    margin-top: 1.5rem;
    padding: 1rem;
    font-size: 1.5rem;
    text-align: center;
    transition: background-color 0.5s;
    background-color: var(--secondary--color);
    color: var(--font-color);
}

#arrow {
    text-align: right;
}

.arrow_up {
    font-size: 3rem;
    padding: 3rem;
    color: var(--details);
}

.arrow_up:hover {
    color: var(--details-hover);
}

@media only screen and (max-width: 850px) {

    /* HEADER RESPONSIVE */

    .redes {
        display: none;
    }

    nav {
        display: none;
    }

    nav.responsive {
        display: block;
        background-color: var(--secondary--color);
        width: 100%;
        position: absolute;
        top: 80px;
        left: 0;
        padding: 10px 0;
    }

    nav.responsive ul {
        display: block;
        text-align: center;

    }

    nav.responsive ul li {
        margin: 5px 0;
    }

    #icono-nav {
        display: block;

    }

    #links {
        font-size: 2rem;
        list-style-type: none;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    /* INICIO RESPONSIVE */

    #inicio .contenido .presentacion h2 {
        font-size: 35px;
        padding: 0.5rem;
    }

    #inicio .contenido .presentacion span {
        font-size: 40px;
    }

    /* SOBRE MI RESPONSIVE */
    #sobremi {
        padding: 50px 0;
        display: block;
    }

    #sobremi .contenedor-foto {
        max-width: 200px;
        margin: auto;
    }

    #sobremi .sobremi .titulo-sobremi {
        padding: 1rem;
        text-align: center;
    }

    #sobremi .sobremi h2 {
        font-size: 30px;
        text-align: center;
    }

    #sobremi .sobremi p {
        text-align: center;
        padding: 0.5rem;
    }

    #sobremi .sobremi a {
        text-align: center;
    }

    /* HABILIDADES RESPONSIVE */

    #habilidades {
        padding: 50px 0;
        display: block;

    }

    #habilidades .titulo-seccion {
        padding: 1rem;
        text-align: center;
        margin-top: 5rem;
    }

    #habilidades .contenido-habilidades {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }

    #habilidades .contenido-habilidades2 {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }

    /* PROYECTOS RESPONSIVE */

    #proyectos {
        padding: 50px 0;
        display: block;
    }

    #proyectos .titulo-seccion {
        margin-top: 0;
    }

    #proyectos .contenido-proyectos {
        padding: 50px 0;
        display: block;
    }

    #proyectos .contenido-proyectos .proyecto img {
        width: 100%;
    }

    #proyectos .contenido-proyectos .proyecto p {
        font-size: 1.5rem;
    }

    #proyectos .contenido-proyectos .proyecto .actions a {
        font-size: 1.3rem;
    }

    /* CONTACTO RESPONSIVE */

    #contacto {
        padding: 50px 0;
        display: block;
    }

    #contacto.titulo-seccion {
        margin-top: 0;
    }

    #contacto .contenido-contacto {
        padding: 50px 0;
        display: block;
        display: flex;
        flex-direction: column;
    }

    #contacto .contenido-contacto .datos {
        text-align: center;
        margin: auto;
    }

    #contacto .contenido-contacto .datos p {
        text-align: center;
    }

    #contacto .contenido-redes {
        font-size: 3.5rem;
        padding: 0.5rem;
        text-align: center;
        display: block;
    }

    #contacto .contenido-redes .redes-contacte {
        display: flex;
        flex-direction: row;
        padding: 3rem;
        justify-content: space-around;
    }
}